====== ROSEGARDEN 23.12 RELEASED ======

The Rosegarden team is proud to announce the release of version 23.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Make punch-in also start recording.  [f7b3aa72]
  * Fix broken metronome flash in the transport.  [975ffe9d]
  * Fix solo affects archived tracks.  [bad41f2f]
  * Fix data loss when recording with loop on.  [79889151]
  * Prevent archived tracks from recording.  [82a43608]
  * Fix arm status lost on save when archived.  [5d85e8bd]
  * Fix armed+archive recording after load.  [ab8eba6d]
  * Unarm archived Tracks when enforcing the arm rule: only one Track
    can be armed per Instrument.  [7bcc351c]
  * Skip archived tracks when routing.  [21e45666]
  * Fix refresh artifacts on the Matrix piano keyboard.  Bug #1656.
    [5cf37ed5]
  * Fix error when rosegarden creates submaster outs.  Bug #1658.
    [c89ab3b0]
  * Fixed potential race conditions with audio files.  [1e8d4064]
  * Fix segment relabel dialog not showing original label.  Bug #1660.
    [3fbc6975]
  * Fixed events with data1 == 121 being dropped.  Bug #1663.
    [df93bd90]
  * Fixed potential race conditions in the sequencer.  [6c7a6a0e]
  * Fix removing the first note of a slurred group creates an
    unreachable rest.  Bug #1662.  [fb214928]
  * Fix cannot beam a group beginning or ending with a dotted eighth
    note.  Bug #1666.  [eb0e6d75]
  * Fix segment parameter box displaying translation of the label.
    Bug #1667.  [89a4f18f]

===== New Features =====

  * Improved sub-beat highlighting in the Matrix editor.
    Feature request #516. [d83b5715]
  * Matrix editor preview note when hovering.
    Feature request #516. [d83b5715]
  * Add metronome and solo toggles to main menu.  [acf3c266]
  * Add MMC RECORD STROBE support.  [9953f1f2]
  * Add a preference to include ALSA port numbers when making
    connections.  [06b0c44a]
  * Use regexp for plugin blacklist.  [ec230e46] [028930e5]
  * Updated yoshimi.rgd.  [b8a99b83]

===== Additional Contributors =====

  * Hugo van Galen


====== ROSEGARDEN 23.06 RELEASED ======

The Rosegarden team is proud to announce the release of version 23.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fix crash related to static initialization order.  Bug #1647.
    Release as 22.12.1.  [3e34166]
  * Fix bug #1047, beaming groups erroneous after merging notes.
    [83f1dca, 2709e76]
  * Fix offset selection rectangle in Notation.  Bug #1444.  [fc08c3e]
  * Fix time column widths in the Event Editor so that they don't need
    resizing on every launch.  [aed705b]
  * Event filter dialog improvements and fixes.  [c5e3c6a]
  * Fix broken retrograde commands.  Bug #1648.  [84faef1]
  * Lilypond: Fix volta/alternatives and lyrics.  Bug #1649.
    [6e5ba2d]
  * Lilypond: Fix vertical alignment of verses.  Bug #1650.  [b42cbff]
  * Lilypond: Fix the printing of supplementary verses.  [46c7d3d]
  * Lilypond: Fix multiple lyrics verses with repetition.  [50266c5]
  * Lilypond: Fix the removing of an underscore at the end of a bar of
    lyrics.  [62feb9b]
  * Lilypond: Fix printing of verses is now working when voltas are
    unfolded.  [2eae089]
  * Lilypond: Fix bar number of verses in exported LilyPond files.
    [94c0e55]
  * Fix timer preference coming up empty for selections after
    "HR timer".  [08748a6]
  * Fix paste problems in notation editor.  Bug #1651.  [457f3de]
  * Fix the LilyPond exporter autotest and update the baseline.
    [768a657]
  * Fix crash in LilyPond exporter.  Bug #1640.  [a49712d]
  * Fix potential crash in the grid quantizer.  [4bdefd9]
  * Fix quantizer crash.  Bug #1654.  [56ca66c, a8e669d]
  * LilyPond: Fix a small bug related to numbers in the lyrics.
    [10fa781]
  * LilyPond: Fix for lyrics containing some special characters.
    [e8c6988]
  * LilyPond: Fix the rendering of dash and underscore.  [fc7eecd]
  * Fix missing parameter patterns in the Set Event Velocities dialog.
    [b76c392]
  * Matrix: Fix deleting too many notes with ruler present.  Bug #1655.
    [993e6f3]

===== New Features =====

  * File > Merge dialogs now allow merging of multiple files.  Feature
    request #513.  [5f43b70]
  * View > Full Screen (F11) added to main window.  [a09103c]
  * Removed LEDs from archived tracks to make archived tracks easier to
    identify.  [a5f4131]
  * Edit > Preferences > General > Presentation.  Three UI themes are
    now offered: Native (Light), Classic (Medium), and Dark.  Feature
    request #498.  [994c2b1, et al.]
  * Matrix and Notation now offer snap to grid in the control rulers.
    Feature request #509 [349fff9, et al.]
  * Add Ctrl+L shortcut for loop toggle.  Feature request #398.
    [a5e8414]
  * Add new LilyPond versions.  [6c7f0ef]
  * Add "Remove notes smaller than X" field to grid quantizer.
    Feature request #515.  [87c9a0c]
  * Add "Remove articulations" to grid quantizer.  Feature request
    #515.  [a69a4fd]

===== Additional Contributors =====

  * Lorenzo Sutton - Multiple file merge feature.  Feature Request
    #513.


====== ROSEGARDEN 22.12 RELEASED ======

The Rosegarden team is proud to announce the release of version 22.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fix a crash when deleting segments that are visible in notation.
    [e67b14a]
  * Hide the experimental Channel Fixed/Auto widgets behind a
    preference.  To re-enable: Edit > Preferences > General >
    Auto Channels (experimental).  [eda6701]
  * Fix the Base Velocity dialog in the Event Editor which was
    missing Ok/Cancel buttons.  [aa3218e]
  * Fix lilypond syntax error when exporting lyrics.  Bug #1639.
    [1702b0f]
  * Fix restore of keyboard in the shortcut editor.  Feature request
    #511.  [44ce000]
  * Fix "out of processor power" dialog always coming up on some
    systems.  Feature request #496.  [adab9c3]
  * Fix MIDI file merge disconnects connections.  Bug #1645.
    [fe70e17]

===== New Features =====

  * Advanced Looping rewrite including indicators in the Loop Ruler.
    Enable via the preferences.  Edit > Preferences > General >
    Advanced Looping (beta).
  * Jump to loop feature.  Edit > Preferences > General >
    Jump to loop.  [69350eb]
  * Loop buttons added to the main, matrix, and notation toolbars.
    [833ea5f]
  * Ask "Replace or Merge?" on file drop.  Feature request #510.
    [071e2a8]

===== Additional Contributors =====

  * Scott Snyder


====== ROSEGARDEN 22.06 RELEASED ======

The Rosegarden team is proud to announce the release of version 22.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Improve Cut/Copy/Delete behavior in both the matrix and the
    notation editors.  Bug #1601.
  * "Scroll to Follow Playback" now remembers its last setting.
    Bug #1606.
  * Fixed a problem in notation with note selection and the blue
    indication.  Bug #1496.
  * Fixed volume and pan issues with older .rg files.  [51647cc]
  * Changed "For Notation" to "Exclude from Printing" in the
    Segment Parameters.
  * Fix confusing relative values in the "Insert Controller Sequence"
    dialog for volume and expression.  [14ff99a]
  * When changing the audio file path, the user is asked whether
    they want to move the audio files to the new location.  [71a62e6]
  * Fix stuck green preview note when switching modes.  Bug #1614.
  * Fix modified flag (*) not cleared when saving in notation.
    Bug #1617.
  * Fix RG stopping JACK transport when it shouldn't.  Bug #1051.
  * Fixed toolbar mode buttons not reflecting current state when
    Esc is pressed.  Bug #1615.  [f651345]
  * Notation: Fix green preview only available in one staff.
    Bug #1619.
  * Fixed issues when building with Qt6.  Feature Request #490.
  * Fixed bad rendering of note heads at small font sizes.  Bug #1484.
  * Fixed an endless loop in notation.  [7d734f7]
  * Improved management of audio file paths.  Bug #1283.  Feature
    Requests #494 and #495.
  * Simplify editing of audio instrument label in audio parameters
    panel.
  * Fixed display bugs in matrix editor.  Bug #1622.  [b4425d7]
  * Fix collapse notes in matrix.  Bug #1575.  [521ad4e]
  * Fix scrollbar issues in main window combo boxes.
    Feature Request #502.  [abdf22b]
  * Fix deletes in the tempo/time signature editor.  Bug #1628.
    [d55eea5]
  * Fix problems editing multiple segments in matrix.  Bug #1624.
    [8c1c6bc]
  * Notation: fix crash when segment is deleted.  Bug #1260.  [cf0a28d]
  * Notation: fix crash when undoing an Add Layer.  Bug #1260.
    [7a1b6bf]
  * Notation: fix note move issue.  Bug #1629.  [ba70dcf]
  * Fix lilypond export sometimes ignores time signature.  Bug #1620.
    [b7b16df]
  * Fix hairpins not always exported to LilyPond.  Bug #1620.
    [f57cbd9]
  * Fix missing "StartupWMClass" in .desktop file.  Bug #1635.
    [d3f5298]
  * Fix chord ruler.  Bug #1633.  [2b2fbf7]
  * Fix Event Filter dialog clearing selection on first launch.
    [52c2f90]
  * Fix lilypond common/cut time signatures.  Bug #1637.  [1c83f8b]
  * Fix a crash when unquantizing using the quantize combo box on the
    editors.  [329ab46]
  * Fix a crash when resizing segments.  Bug #1638.  [cdec668]
  * Fix a refresh issue when using the toolbar undo button.  [2a01178]

===== New Features =====

  * Stop playback at end of last segment.  (Preference.)
  * Advanced Looping.  (Experimental preference.)  Bug #1605.
  * Keyboard shortcut editor.  Feature Request #412.

===== Additional Contributors =====

  * Michael Stockinger (www.stockinger.org) - German Translation
  * Kevin Cole - Yamaha PSR-220/230 device file


====== ROSEGARDEN 21.12 RELEASED ======

The Rosegarden team is proud to announce the release of version 21.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fix crash with certain multi-monitor setups with Qt 5.14+.
    Bug #1599.  [9713720]
  * In the matrix editor, "Collapse equal pitch notes" no longer ties
    notes.  Bug #1575.  [07845e1]
  * Fix "Command-line file printing utility" preference combobox.
    Bug #1531.  [ef141a6]
  * Notation: Fix selection of last note in segment using
    Shift+Right-arrow.  Bug #1600.  [211f2c4] [5f9e348]
  * Fix note insertion steals grace note.  Bug #1520.  [d2ff1d4]
    [1ddd230]
  * Fix undo loses cursor position.  Bug #927.  [481fdc3] and prior.
  * Fix crash when deleting segments shown in Matrix.  [5f71149]
  * Matrix: Fix ruler events all on the left at launch.  [a7fd912]
  * Notation: Fix ruler events on the left at launch.  [f5a4e6d]
  * Notation: Fix unreliable text style.  Bug #1609.  [0fc9382]
  * Fix link error with pipewire-jack.  [881ea5a]
  * Fix unexpected auto-scroll in notation.  Bug #1612.  [226c921]
  * Fix crash when restoring rulers in the editors.  [f710b6]

===== New Features =====

  * Add "Use native file dialogs" preference.  [b9da2db] [a1dcc44]
    [6765fa9]
  * Add Device and Instrument fields to Add Tracks dialog.
    [9dc1183]-[3900ea7]
  * Add display of note names on notes in Matrix.  Feature #489.
    [de7ff8f] and prior.
  * Add indication of black keys across grid in Matrix.  Feature #489.
    [de7ff8f] and prior.
  * Rewrite and completion of the "File > Merge > Merge file..."
    command.  [bdd1e6a] and prior.
  * Add "Ignore" button to Lock File warning dialog.  [0626734]

===== Additional Contributors =====

  * Michael Stockinger (www.stockinger.org) - German Translation


====== ROSEGARDEN 21.06 RELEASED ======

The Rosegarden team is proud to announce the release of version 21.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Event editor now selects the proper event at launch.  Bug #1588.
    [cf7d654d4]
  * Fix restore of channel mode (fixed or auto) on file read.
    [010246e0a]
  * File Merge dialog layout improvements.  Bug #1590.
    [13f40bbef]
  * Do not send Program Change for drum Instrument without banks.
    [f27b4f854]
  * Fix "Studio > Reset MIDI Network".  Now this sends channel setups
    (BS/PC/CCs) to each Device.  [04ad97659]
  * Fix overlapping bar numbers in rulers.  Bug #1580.
    [26e60ef8e]
  * Notation: Update cursor when switching layout mode.  Bug #1580.
    [7664b6997]
  * Notation: Fix inconsistencies when switching between layers and
    staves using the red thumbwheel.
  * Refresh the layout on resize.  Bug #1570.  [aa13ac83b]
  * Limit the Panner to within the scene rectangle.  Bug #1570.
    [9e8b0b13f]
  * Fix focus issue after Ctrl+N.  [7bc2c957a]
  * Notation: Fix "Segment > Add Layer" and "Segment > New Layer From
    Selection" so that the new Segment's events are selected.
  * Fix multiple issues with undo/redo when editing.
  * Fix inconsistent editor title bars.  [28344f0c6]
  * Fix multiple issues when resizing Segments.
  * Export key signatures to MIDI file.  Bug #1456.  [8805d3f81]
  * Fix crash in CC rulers using the velocity tool.  [443a3aacf]
  * Fix linked segments not exporting to Lilypond.  Bug #1595.
  * Improve Transport window position persistence.  [05f2e7345]
  * Improve handling of multiple time signatures.
  * Fix crash in notation when "View > Size" is changed.  Bug #1596.
    [460d1bc42]
  * Fix modifiers not appearing in Notation until the mouse moves.
    Bug #1597.  [e814dcfbd]
  * Fixed dots being added to tied notes.  Bug #1555.  [e9b8c293d]
    [cf1d3dfed]
  * Fixed a crash in the notation lyric editor.  Bug #1598.  [5f52c7c2]
  * Fix incorrect position of chord names in lilypond.  Bug #1524.
    [04fc5dd6]
  * Fix missing chord names in lilypond.  [c35e0fb7]

===== New Features =====

  * Clean Recent Files List in the preferences removes files that
    aren't present on the filesystem from the recent files list.
    [b616d42c7]
  * Preferences: Add send BS/PC/CCs while looping.  [0d2d3a28c]
  * Added Segment label to Notation editor.  [9ab1ff136]
  * Matrix editor now preserves zoom factor and rulers for each
    Segment in the .rg file.  Feature #486.
  * Notation editor now preserves rulers for each Segment in the .rg
    file.  Feature #486.

===== Significant Code Cleanups =====

  * Cleanup and preparation for Qt6.

===== Additional Contributors =====

  * Michael Stockinger (www.stockinger.org) - German Translation


====== ROSEGARDEN 20.12 (Altissimo) RELEASED ======

The Rosegarden team is proud to announce the release of version 20.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fix QPainterPath compilation error (r15845)
  * Fixed several SysEx-related bugs in the Event editor (r15853)
    * SysEx load now remembers the last used path.
    * SysEx load now strips the F0/F7 bytes from the file when reading.
    * SysEx save now remembers the last used path.
    * SysEx save now fills in the FileDialog fields correctly.
    * SysEx save now adds the F0/F7 bytes to the data before saving.
  * Event Editor: Fix garbage on SysEx load error (r15855)
  * Event Parameter Dialog: Fix incorrect window title (r15857)
  * Fix length of notes added in percussion matrix (r15870)
  * Fix compilation error with Qt < 5.8 (r15872, r15896, others)
  * Fix issues with ALSA port name matching at file load (r15875,
    r15879, r15893-r15895, r15906, r15909)
  * Fix "&" in device name renders file unreadable.  Bug #1586. (r15886)
  * Matrix editor: Fix control rulers not appearing.  Bug #1543.
    (r15887)
  * Event editor: Fix crashes when editing (r15899, r15902, r15903)
  * Reduce connection check interval to 1 second (r15912)
  * Fix external controller port not working (r15915, r15916, r15919,
    r15927, r15929)
  * Fix ALSA timer selection persistence (r15936)
  * Fix disabled button text color (r15938)
  * Fix plugins not found (r15947)
  * Send proper CCs out the external controller port for motorized
    control surfaces.  Bug #1587. (r15952, r15954)
  * Fix unwanted CCs going out with old files.  Feature #482.  (r15961)
  * Fix slow load time with many segments.  Bug #1589.  (r16026)

===== New Features =====

  * Enable/Disable external controller port in the preferences (r15932,
    r15946, others)
  * Transport buttons (play, stop, etc...) on MIDI controllers are now
    supported so long as they use Pro Tools standard CCs (110-118).
    Feature #423.  (r15962-r15964)
  * Korg nanoKONTROL2 support (r15994-r16013, r16015, r16016, r16021)

===== Significant Code Cleanups =====

  * Icon Loader (r15862-r15865, r15868)
  * New ExternalController class (r15922)
  * Preferences dialog (r15939-r15944)
  * ALSA MIDI interface (r15975-r15993)

===== Additional Contributors =====

  * Michael Stockinger (www.stockinger.org) - German Translation
  * Hugo van Galen - Help with bug #1586 and #1543.
  * Piotr Golonka - Roland-Fantom-678.rgd
  * Arthur Baran - Casio-PX-5S.rgd


====== ROSEGARDEN 20.06, codename "Zepherine Drouhin" RELEASED ======

The Rosegarden team is proud to announce the release of version 20.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fixed multiple memory leaks (r15684, r15685, etc...)
  * Fixed 100% CPU usage when drawing lines in the controller rulers,
    bug #1571 (r15705)
  * Fixed multiple invalid reads (r15707, r15708)
  * Increased the height of the loop ruler, feature #481 (r15718)
  * Fixed CCs not going out when playback begins in the middle of
    a segment, bug #1560 (r15735)
  * Fixed volume and pan CCs always going out even if the controllers
    were removed from the Device, feature #482 (r15750)
  * Stop sending CCs on ch10 when metronome muted, feature #482
    (r15751)
  * Fixed a problem with showing pitchbend ruler (r15771)
  * Made default for expression CC 127 instead of 100 (r15773)
  * Fixed a crash in Audio File Manager, bug #1576 (r15786)
  * Fixed a crash when importing .ly as X11/RG21, bug #1579 (r15806)
  * Fixed a crash on chords in pitch tracker, bug #1582 (r15835)

===== New Features =====

  * Track height can now be adjusted in the preferences, feature #479
    (r15710-r15712, r15737)
  * New Segment > Transpose by Semitones... available in the Segment
    Canvas, feature #480 (r15715)
  * Right-click can now be used in the loop ruler to set the loop,
    feature #481 (r15717)
  * The current segment label is now displayed in the Matrix editor
    when multiple segments have been selected for editing, feature
    #470 (r15738-r15740)
  * Segment "For Notation" feature, bug #1578 (r15805)
  * Source distribution now includes these release notes in a
    CHANGELOG file.  The release notes will continue to be available
    on the wiki as well:
    https://www.rosegardenmusic.com/wiki/start#release_notes

===== Significant Code Cleanups =====

  * PitchBend and Controller Sequence Dialog cleanup (r15662-r15684,
    r15696-r15701, etc...)
  * MappedEventBuffer cleanup (r15719-r15730)
  * Colour removal and ColourMap cleanup (r15795-r15803)

===== Additional Contributors =====

  * Michael Stockinger (www.stockinger.org) - German Translation
  * Juan Carlos Pineda Arredondo - Roland-D5.rgd and ZynAddSubFX.rgd
  * Philip Leishman (lman) - Segment "For Notation" feature


====== ROSEGARDEN 19.12, codename "Yesterday" RELEASED ======

The Rosegarden team is proud to announce the release of version 19.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

  http://www.rosegardenmusic.com/

Included in this release...

===== Bug Fixes =====

  * Fix synth plugin Send Test Note button (r15502)
  * Plugin Editor: Fix Send Test Note not sustaining (r15511)
  * Treat Left + Right mouse buttons as Middle button in Matrix and
    Notation editors (r15522)
  * Matrix: Fix no update on delete.  Bug #1569.  (r15616)
  * Fix missing metronome beat when expanding end during recording
    (r15621)
  * Style: Make QLineEdit text gray when disabled (r15631)
  * Fix transposing keys by interval (r15632)
  * RMW: Reduce calls to leave/enterActionState() (r15641)

===== New Features =====

  * Matrix Editor: Implement new auto-scroll behavior (r15525 - r15544)
  * Segment Canvas: Implement new auto-scroll behavior
    (r15546 - r15551)
  * Notation Editor: Implement new auto-scroll behavior
    (r15553 - r15555)
  * Add --convert command line option (r15607)
  * Add quaver triplet to standard quantizations (r15613)
  * Quantize: Add arbitrary quantization units.  Feature #477. (r15630)
  * Preferences: Allow dangerous operations during playback.
    Feature #478. (r15643, r15646, r15647, r15651)
  * Add ability to enable metronome during count-in and enable/disable
    during recording.  Feature #453. (r15649)

===== Significant Code Cleanups =====

  * Segment Parameters box cleanup (r15562 - r15597, r15604)
  * Replace FastVector with std::vector (r15609)
  * Quantize dialog cleanup (r15611 - r15614, r15617 - r15620,
    r15623 - r15629)
  * Preferences cleanup (r15634 - r15640)

===== Additional Contributors =====

  * Hubert Figuiere
  * lman
  * David P. Sicilia


====== ROSEGARDEN 19.06, codename "Xerxes" RELEASED ======

The Rosegarden team is proud to announce the release of version 19.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

http://www.rosegardenmusic.com/

Highlights of 19.06 include cleanup and bug fixes.

===== Bug Fixes =====

  * Fix potential crashes during playback (r15422)
  * Fix crash when rescaling during playback (r15423)
  * Fix crash when splitting during playback (r15424)
  * Fix horizontal wheel scrolling on segment canvas
    (Bug #1561, r15430)
  * Fix horizontal wheel scrolling on Matrix and Notation editors
    (Bug #1561, r15432)
  * Enable High DPI Scaling (Bug #1565, r15444)
  * Roland-CM-64.rgd: Fix SN-U110-02 perc mappings (r15448)
  * Avoid using null pointers (Bug #1566, r15453)
  * Fix broken right edge auto scroll (Bug #1567, r15462, r15464)
  * Fix crash when adding a Track with no Devices (r15463)
  * Fix numerous memory leaks
    (r15466, r15470-5, r15477, r15479, r15481, etc...)
  * Fix build with Qt 5.7, which doesn't have QSharedPointer(nullptr)
    (r15476)
  * SegmentParameterBox: Fix invalid memory access (Bug #1568, r15492)
  * Fix Qt 5.7 QSharedPointer/nullptr build issue (r15493)

===== New Features =====

  * Add Ctrl+Space shortcut for record (r15482)

===== Other people who contributed to Rosegarden development: =====

  * Hubert Figuiere
  * Lucas


====== ROSEGARDEN 18.12, codename "Worcestershire" RELEASED ======

The Rosegarden team is proud to announce the release of version 18.12 of
Rosegarden, a MIDI sequencer that features a rich understanding of music
notation along with basic support for digital audio.

http://www.rosegardenmusic.com/

Highlights of 18.12 include cleanup and migration to newer technologies
(Qt5 and C++11).

Bug Fixes

  * Fixed stuck notes on matrix editor (r15283)
  * Fixed some double-gzipped .rgd file (r15344, r15345)
  * Removed support for Qt4 (r15347)
  * Improved support for HiDPI displays (r15349, r15352)
  * Fixed crash when loading composition (r15355)
  * cmake 3.1 or above is now required (r15357)
  * Migrate to C++11 (r15361)
  * Use QLockFile for the document lock file, reducing leftover lock
    file warnings (r15373)
  * Fixed --nosound to not create AlsaDriver.  This makes gdb usable.
    (r15379)
  * Show pointer position on new staff when clicking on a different
    staff (r15382)
  * Fixed wrong warning about "lyric" text type during export. (r15392)
  * Fixed some range checks in SequencerDataBlock (r15402)

Other people who contributed to Rosegarden development:

  * Daniel Glöckner

====== ROSEGARDEN 18.06, codename "Vesper" RELEASED ======

The Rosegarden team is proud to announce the release of version 18.06
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

http://www.rosegardenmusic.com/

18.06 brings more simplification of the code and further progress
toward simplifying the UI notification mechanisms that keep the UI in
sync with the underlying Composition.

===== Bug Fixes =====

  * Fix misc spelling errors flagged by lintian (Bug #1556, r15149)
  * Fix soft synth tracks not responding to volume fader changes.
    (Bug #1557, r15189)
  * Fix Receive External checkbox not cleared.  (r15194)
  * Fix key map popup menu position on the Manage MIDI Banks and
    Programs window.  Current key map is now under the mouse as it
    should be.  (r15221)
  * Fix a memory leak.  (r15235)
  * Fix gray leftovers when going out of Archive.  (r15240)
  * Fix Track preset name not loaded from .rg file.  (r15242)
  * Fix TrackButtons flicker when switching files.  (r15244)
  * Fix vertical zoom reset on the Matrix editor.  (r15267)
  * Fix vertical zoom reset on the Notation editor.  (r15268)

===== New Features =====

  * Manage MIDI Banks and Programs window now uses a scroll area
    instead of tabs.  (r15227)
  * Add "Reset to Defaults" button to Track Parameters.  (r15241)
  * Standardized scroll wheel behavior.  (Feature #445, r15245, r15246,
    r15248, r15265)
  * Notation: Offer spacing up to 400%.  (r15266)
  * Notation spacing is now saved to the .rg file.  (r15269)

=====Other people who contributed to Rosegarden development:=====

  * Stuart Prescott

=====People who contributed device files to the Rosegarden Library=====

  * Henk de Groot


====== ROSEGARDEN 17.12, codename "Ultimate Pleasure" RELEASED ======

The Rosegarden team is proud to announce the release of version 17.12
of Rosegarden, a MIDI sequencer that features a rich understanding of
music notation along with basic support for digital audio.

http://www.rosegardenmusic.com/

17.12 brings us numerous bug fixes by Yves Guillemot and Ted Felix.
Ted has also continued his work on cleaning up the source base with a
rewrite of the Audio Mixer window and simplified handling of the
volume, pan, etc... control change knobs and faders.

===== Bug Fixes for 17.12.1 =====

  * Fix volume slider having no effect on softsynths.
    (Bug #1557, r15123)

===== Bug Fixes =====

  * Fix progress dialog lockups in KDE (bug #1546, r15031-r15034)
  * Fix disappearing lyrics in lyrics editor (bug #1547, r15035-r15036)
  * Fix bug #1548: Last syllable of lyrics is not copied between two
    linked segments.  (r15037)
  * Fix bug #1550: Crash with lyric editor and linked segments (r15038)
  * Fix bug #1551: No sound from an audio file when pressing rewind
    then play.  (r15039)
  * Fix bug #1549: Matrix Editor: Velocity ruler not updated correctly
    when changing velocity using the velocity tool (r15041-r15046)
  * Fix alias change not updating label on the audio instrument
    parameters.  (r15058)
  * Fix miscellaneous cosmetic issues related to the ThornStyle
    upgrade. (r15076-r15081)
  * Fix time mode toolbar buttons on the Event List and other windows.
    (r15083)
  * Fix incorrect window titles on the preferences and document
    properties windows.  (r15084)
  * Fix garbage property names in Event Edit window.  (r15085)
  * Display velocities modified from the velocity ruler in the status
    bar for the notation editor.  (r15088)
  * Fix bug #1552: Rosegarden fails to build with cmake-3.9.0. (r15089)
  * Fix crash when launching plugin dialog introduced by r14648.
    (r15091)
  * Fix external controller audio volume/pan bug (r15107)
  * Fix crash in rulers when pressing mouse buttons (r15116)
  * Export to LilyPond as a repeat sequence several consecutive linked
    segments is now possible (bug #1470, r15119)
  * Fix duplicate connection in initial autoload (r15122)
  * Fix crash when exporting to LilyPond. (bug #1553, r15135)
  * Fix lilypond options dialog too big. (r15140)

===== New Features =====

  * Add "Use track name for new segments" preference.  (r15090)

=====Other people who contributed to Rosegarden development:=====

  * Stuart Prescott
  * Lorenzo Sutton

=====People who contributed device files to the Rosegarden Library=====

  * Karl Marksteiner
  * Lucas


====== ROSEGARDEN 17.04, codename "Twice in a Blue Moon" RELEASED ======

The Rosegarden team is proud to announce the release of version 17.04
of Rosegarden, an audio and MIDI sequencer and musical notation editor
for Linux.

http://www.rosegardenmusic.com/

The most visible change in 17.04 is that David Faure has generously
replaced our very brittle and complex style system with a complete
rewrite using QStyle (r14968).  Ted Felix invested the past ten months
grinding through bugs, and cleaning Rosegarden's code to make it more
efficient and maintainable.  Significant areas cleaned up include: the
Track Parameters box (r14707-r14762), TrackButtons (r14765-r14770),
progress dialogs (r14793-r14899), and the Audio Mixer window (r14910-
r15013).  Yves Guillemot and David Faure squashed a few bugs as well.

===== Bug Fixes =====

  * Fix memory leak: delete StartupLogo when closing it (r14737)
  * Add compilation fix for Ubuntu 16.04.01 LTS (r14738)
  * TrackParameterBox: Fix initial track label problem (r14761)
  * Fix #1534: Send channel setup when output is changed (r14743)
  * TrackParameterBox: Make color combo visible for audio tracks
    (r14762)
  * autoload: Fix audio track colors (r14763)
  * Fix #1532: Crash when trying to edit a triggered segment (r14772)
  * Fix #1536: Crash on dangling Instrument IDs (r14776)
  * Fix "Always use default studio" stickiness (r14781)
  * Fix #1538: No sound when entering notes with keyboard (r14783)
  * Fix time stamp bug in MIDI file export (r14785)
  * Improve progress dialogs throughout the application (r14793-r14899)
  * Repair control rulers in Qt 5 builds
  * Cleanup incorrect name and filter during audio file export
  * Fix compilation with -DQT_STRICT_ITERATORS (r14903)
  * Fix compilation without jack (r14904)
  * Enable -DQT_NO_URL_CAST_FROM_STRING and fix compilation accordingly
    (r14905)
  * Fix "all piano" issue with empty connections (r14906)
  * Fix MIDI import connection problem (r14907)
  * Fix a bug in the parallels checker, bug #1544 (r14959)
  * Fix #1491 Xruns on exit (r14981)
  * Fix wait cursor (r14985)

===== New Features =====

  * Hide unused frames for audio tracks in track parameters (r14729)
  * Improve handling of collapsing frames in track parameters and
    document properties (r14714)
  * Track 20 recent files, rather than 10 (r14868)
  * Replace stylesheet with custom QStyle (r14968)

===== People who contributed device files to the Rosegarden Library =====

  * Rainer Hans Liffers
  * JP Morris

===== People who contributed translations =====

  * Jose Alfredo Murcia Andrés
